# $Revision: 1.15 $, $Date: 2009/04/03 21:00:57 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
#
Summary:	A GLib library to ease writing telepathy clients
Summary(pl.UTF-8):	Biblioteka oparta na GLib dla aplikacji służących do komunikacji
Name:		telepathy-glib
Version:	0.7.29
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://telepathy.freedesktop.org/releases/telepathy-glib/%{name}-%{version}.tar.gz
# Source0-md5:	ae67d4fe42c7e337813754cb5927b6cc
URL:		http://telepathy.freedesktop.org/wiki/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	glib2-devel >= 1:2.16.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.10}
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
telepathy-glib is a D-Bus framework for unifying real time
communication, including instant messaging, voice calls and video
calls. It abstracts differences between protocols to provide a unified
interface for applications.

%description -l pl.UTF-8
telepathy-glib jest szkieletem opartym na D-Bus ujednolicającym
komunikację w czasie rzeczywistym, włączając w to komunikatory oraz
komunikację głosową i za pośrednictwem wideo. Zasłania warstwą
abstrakcji różnice pomiędzy protokołami dostarczając jednolity
interfejs dla aplikacji.

%package devel
Summary:	Header files for telepathy-glib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki telepathy-glib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.74
Requires:	glib2-devel >= 1:2.16.0

%description devel
Header files for telepathy-glib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki telepathy-glib.

%package static
Summary:	Static telepathy-glib library
Summary(pl.UTF-8):	Statyczna biblioteka telepathy-glib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static telepathy-glib library.

%description static -l pl.UTF-8
Statyczna biblioteka telepathy-glib.

%package apidocs
Summary:	telepathy-glib API documentation
Summary(pl.UTF-8):	Dokumentacja API telepathy-glib
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
telepathy-glib API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API telepathy-glib.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libtelepathy-glib.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtelepathy-glib.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtelepathy-glib.so
%{_libdir}/libtelepathy-glib.la
%dir %{_includedir}/telepathy-1.0
%dir %{_includedir}/telepathy-1.0/telepathy-glib
%dir %{_includedir}/telepathy-1.0/telepathy-glib/_gen
%{_includedir}/telepathy-1.0/telepathy-glib/*.h
%{_includedir}/telepathy-1.0/telepathy-glib/_gen/*.h
%{_pkgconfigdir}/telepathy-glib.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libtelepathy-glib.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/telepathy-glib
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: telepathy-glib.spec,v $
Revision 1.15  2009/04/03 21:00:57  patrys
- 0.7.29

Revision 1.14  2009/03/21 12:14:48  megabajt
- updated to 0.7.27

Revision 1.13  2009/03/15 16:39:05  patrys
- 0.7.26

Revision 1.12  2008/07/31 15:22:59  patrys
- 0.7.13

Revision 1.11  2008-05-18 16:03:09  patrys
- 0.7.7

Revision 1.10  2008-04-22 03:35:57  aredridel
- 0.7.6

Revision 1.9  2008-03-06 07:15:55  aredridel
- 0.7.4

Revision 1.8  2007-12-17 01:07:27  aredridel
- 0.7.0

Revision 1.7  2007-10-27 19:14:24  megabajt
- updated to 0.6.0

Revision 1.6  2007/07/06 22:23:18  qboosh
- release 3

Revision 1.5  2007/07/06 22:22:54  qboosh
- static-only libtelepathy-glib-unstable.a moved to -devel

Revision 1.4  2007/06/11 20:09:40  megabajt
- package telepathy-glib-unstable (required by telepathy-idle)
- release 2

Revision 1.3  2007/06/02 22:44:48  megabajt
- updated to 0.5.13
- added apidocs bcond and subpackage

Revision 1.2  2007/05/14 21:09:38  qboosh
- glib2 epoch

Revision 1.1  2007/05/14 19:21:55  aredridel
- added
